Page MenuHomePhabricator

quick overview of the quality of an item
Closed, ResolvedPublic

Description

We have quality scores of items from ORES as well as constraint violations. We should give our users the ability to get a quick overview of the quality of an item.

Proposed solution: have a little indicator in the indicator are of an item (top right, where the lock is shown on protected items) that shows the ORES score as well as the number of constraint violations split by non-mandatory/mandatory.

For now this should be a gadget. If people want it enough we can integrate it more.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2018, 2:44 PM

@Halfak Could you add a link to what you worked on during the hackathon? Thanks!

A little bit of design help would be really appreciated <3

@Lydia_Pintscher do you want some design work on this before we resolve or should we consider this done for now?

Vvjjkkii renamed this task from quick overview of the quality of an item to 46baaaaaaa.Jul 1 2018, 1:07 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot renamed this task from 46baaaaaaa to quick overview of the quality of an item.
CommunityTechBot added a subscriber: Aklapper.

I'll have our UX team look at it :)

Could I get a screenshot of the gadget/script UI, so we could have a look (I could not get it running myself right now)

Note the prediction right underneath the title.

Halfak closed this task as Resolved.Feb 26 2019, 10:43 PM
Halfak claimed this task.

Given the inactivity, we're going to mark this task as resolved. We'd be very happy to work with some improved designs, but maybe that should be part of a followup task.